## ClutterGstVideoSink ClutterGstVideoSink — GStreamer video sink |

## Functions

GstElement * | clutter_gst_video_sink_new ()

## Properties

ClutterTexture * | texture | Read / Write
gint | update-priority | Read / Write

## Types and Values

struct | ClutterGstVideoSink
struct | ClutterGstVideoSinkClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── ClutterGstVideoSink

## Implemented Interfaces

ClutterGstVideoSink implements GstNavigation.

## Description

ClutterGstVideoSink is a GStreamer sink element that sends data to a ClutterTexture.

## Functions

### clutter_gst_video_sink_new ()

    GstElement *
    clutter_gst_video_sink_new (ClutterTexture *texture);

`clutter_gst_video_sink_new` has been deprecated since version 1.6 and should not be used in newly-written code.

Use gst_element_factory_make ("cluttersink", ...) and the "texture" GObject property instead.

Creates a new GStreamer video sink which uses `texture` as the target for sinking a video stream from GStreamer.

This function has to be called from Clutter's main thread. While GStreamer will spawn threads to do its work, we want all the GL calls to happen in the same thread. Clutter-gst knows which thread it is by assuming this constructor is called from the Clutter thread.

#### Parameters

texture | a ClutterTexture |

#### Returns

a GstElement for the newly created video sink

## Types and Values

### struct ClutterGstVideoSink

    struct ClutterGstVideoSink;

Class implementing a GStreamer sink element for ClutterTextures.

The ClutterGstVideoSink structure contains only private data and should not be accessed directly.

### struct ClutterGstVideoSinkClass

    struct ClutterGstVideoSinkClass {
    };

Base class for ClutterGstVideoSink.

## Property Details

### The `“texture”` property

      “texture”                  ClutterTexture *

This is the texture the video is decoded into. It can be any ClutterTexture, however Cluter-Gst has a handy subclass, ClutterGstVideoTexture, that implements the ClutterMedia interface.

Flags: Read / Write

### The `“update-priority”` property

      “update-priority”          gint

Clutter-Gst installs a GSource to signal that a new frame is ready to the Clutter thread. This property allows to tweak the priority of the source (Lower value is higher priority).

Since 1.0

Flags: Read / Write

Allowed values: >= -2147483647

Default value: 100